
-- If you aren't familiar with lua, the \n means the start of a new line.

local _, namespace = ...

local L = setmetatable({}, { __index = function(t, k)
	local v = tostring(k)
	rawset(t, k, v)
	return v
end })

namespace.L = L

local LOCALE = GetLocale()

if LOCALE:match("^en") then
L["MOVE_CASTING_BAR"] = "Move Casting Bar"
L["CASTING_BAR_FRAME_MOVER"] = "Casting Bar Frame Mover"
L["UNKNOWN"] = "Unknown"
L["STOLE"] = "Stole:"
L["PERIODIC"] = "(Periodic)"
L["MELEE_SWING"] = "Melee Swing"
L["AUTO_SHOT"] = "Auto Shot"
L["POLYMORPH_BROKEN_MESSAGE"] = "Polymorph broken by"
L["POLYMORPH_EXPIRED_MESSAGE"] = "Polymorph expired on"
L["POLYMORPH_APPLIED_MESSAGE"] = "Polymorph casted on"
L["POLYMORPH_TIMER"] = "Polymorph Timer"
L["WITH"] = "with"
L["SPELLSTEAL_TARGET"] = "Spellsteal Target"
L["SPELLSTEAL_FOCUS"] = "Spellsteal Focus"
L["STOLEN_SPELLS"] = "Stolen Spells"
L["RELOADUI"] = "Mage Candy Needs To Reload \nThe UI To Finish Making Changes."
L["SLASH"] = "Mage Candy Slash Commands:\n/mc => Options Menu \n/magecandy => Options Menu"
L["SPELL_CALCULATOR_SCALE"] = "Spell Calculator Scale"
L["ENABLE_HEALTH_BAR_TOOLTIP"] = "Requires Mana Bar to be enabled."
L["MANA_BAR"] = "Mana Bar"
L["ENABLE_MANA_BAR"] = "Enable Mana Bar"
L["ENABLE_HEALTH_BAR"] = "Enable Health Bar"
L["MANA_BAR_MARKER_SHOW"] = "Show Mana Bar Marker"
L["HEALTH_BAR_PERCENT"] = "Show Health Bar Text As A Percent"
L["HEALTH_BAR_NUMBER"] = "Show Health Bar Text As A Number"
L["MANA_BAR_PERCENT"] = "Show Mana Bar Text As A Percent"
L["MANA_BAR_NUMBER"] = "Show Mana Bar Text As A Number"
L["MANA_BAR_WIDTH"] = "Mana Bar & Health Bar Width"
L["MANA_BAR_HEIGHT"] = "Mana Bar Height"
L["HEALTH_BAR_HEIGHT"] = "Health Bar Height"
L["MANA_BAR_SCALE"] = "Mana Bar & Health Bar Scale"
L["MANA_BAR_RESERVE_SHOW"] = "Show Mana Bar Reserve Marker"
L["MANA_BAR_RESERVE_SHOW_TOOLTIP"] = "This value also lets the mana bar know how much mana \nyou want to put aside for other spells, if you plan \non running it low. (Like spamming spellsteal in PVP)\n\nThe mana bar will flash red when below this value. \n(Doesn't have to be shown for the reserve function to work)"
L["HEALTH_BAR_MAX"] = "Show Maximum Health"
L["MANA_BAR_MAX"] = "Show Maximum Mana"
L["MANA_BAR_TEXT_HEIGHT"] = "Mana Bar Text Size"
L["HEALTH_BAR_TEXT_HEIGHT"] = "Health Bar Text Size"
L["LOW_MANA"] = "Low Mana!"
L["CALCULATOR_SPELL_INPUT"] = "Spell Calculator Spell "
L["CALCULATOR_SPELL_INPUT_TOOLTIP"] = "The Spell Calculator will display how many times you can cast \nthis spell without going below your reserve mana amount.\nThis is an excellent tool for PVP (spellstealing without using\ntoo much mana) and for Arcane spec (Arcane Blast).\n\nLeave this field blank if you don't want anything tracked,\nand the frame will be hidden.\n\nWorks even if Mana Bar is disabled."
L["SPELL_CALCULATOR"] = "Spell Calculator"
L["ARCANE_CHARGE_TRACKER"] = "Arcane Charge Tracker"
L["CURSE_TRACKER"] = "Curse Tracker"
L["PERSEC"] = "/s"
L["STATHEADERS"] = "Power:\nHaste:\nCritical:\nMastery:\nRegen:"
L["REMOVED"] = "Removed: "
L["LAZY_MAGE"] = "Lazy Mage"
L["CAUTERIZE_TEXT"] = "Cauterize!"
L["MISSING"] = "Missing"
L["CHARGES"] = "Charges"
L["NOT_SUMMONED"] = "Not Summoned"
L["DEAD"] = "Dead"
L["ARCANE_CHARGE"] = "Arcane Charge"
L["ARCANE_MISSILES"] = "Arcane Missiles!"
L["ARCANE_POWER"] = "Arcane Power"
L["ICY_VEINS"] = "Icy Veins"
L["FINGERS_OF_FROST"] = "Fingers Of Frost!"
L["BRAIN_FREEZE"] = "Brain Freeze!"
L["PYROBLAST"] = "Pyroblast!"
L["INCANTERS_ABSORPTION"] = "Absorption"
L["INVOKERS_ENERGY"] = "Invoker's Energy"
L["ALTER_TIME"] = "Alter Time"
L["HYPOTHERMIA"] = "Hypothermia"
L["CAUTERIZE_COOLDOWN"] = "Cauterize CD"
L["RUNE_OF_POWER"] = "Rune Of Power"
L["FROZEN_ORB"] = "Frozen Orb"
L["MIRROR_IMAGE"] = "Mirror Image"
L["RING_OF_FROST"] = "Ring Of Frost"
L["TRACKERS"] = "Trackers"
L["STATS_SHOW"] = "Live Stat Tracker"
L["STATS_SCALE"] = "Live Stat Tracker Scale"
L["COMBUSTION_TRACKER_SHOW"] = "Combustion Tracker"
L["CURSE_TRACKER_SHOW"] = "Curse Tracker"
L["COMBUSTION_TRACKER_SCALE"] = "Combustion Tracker Scale"
L["BOMB_TRACKER_SHOW"] = "Bomb Tracker"
L["BOMB_TRACKER_SCALE"] = "Bomb Tracker Scale"
L["MIRROR_IMAGE_TRACKER_SHOW"] = "Mirror Image Tracker"
L["MIRROR_IMAGE_TRACKER_SCALE"] = "Mirror Image Tracker Scale"
L["BOMB_TRACKER_TOOLTIP"] = "Displays timers for the bombs you have applied \nand who they are applied on. The tracker will \ndisplay the 5 most recent bomb applications."
L["COMBUSTION_TRACKER_TOOLTIP"] = "Displays the duration of your ignite on your \ncurrent target, with markers on the bar indicating\nwhere the next ignite tick will occur. It also displays \nan estimate on the total damage that combustion will \ndo if you apply it. (Just the base damage without crits)"
L["MIRROR_IMAGE_TRACKER_TOOLTIP"] = "Displays the health of all of your images and \ntracks their health for their duration, so you \nknow exactly when to worry about aggro."
L["WATER_ELEMENTAL_TRACKER_SHOW"] = "Water Elemental Tracker"
L["WATER_ELEMENTAL_TRACKER_SCALE"] = "Water Elemental Tracker Scale"
L["WATER_ELEMENTAL_TRACKER_TOOLTIP"] = "Displays your water elementals health, \nstance, target, target health and cast bar \nall in a nice and compact frame."
L["CURSE_TRACKER_TOOLTIP"] = "Displays a class icon for each player in your group \nthat will be outlined in purple when someone is \ncursed. Simply click the icon to dispel that person.\n\nThe units can only be safely loaded out of combat \ndue to the way taint works. Any units that fail to \nload in combat will be loaded upon leaving combat.\nThe same goes for changing the size or turning it on/off.\n\nHold CTRL to click through the units and drag \nthe frame easier."
L["CURSE_TRACKER_SCALE"] = "Curse Tracker Scale"
L["ARCANE_CHARGE_TRACKER_SHOW"] = "Arcane Charge Tracker"
L["ARCANE_CHARGE_TRACKER_SCALE"] = "Arcane Charge Tracker Scale"
L["ARCANE_CHARGE_TRACKER_TOOLTIP"] = "A simple combo bar type tracker that shows\nhow many arcane charges you have."
L["MINIMAP_BUTTON_SHOW"] = "Show Minimap Button"
L["LOCK_FRAMES"] = "Lock Frames"
L["HIDE_FRAMES"] = "Hide Frames When Not In Combat"
L["SHOW_ALL_FRAMES"] = "Show All Frames"
L["LOCK_FRAMES"] = "Lock Frames"
L["OKAY"] = "Okay"
L["CANCEL"] = "Cancel"
L["DEFAULTS"] = "Defaults"
L["APPLY"] = "Apply"
L["TEST"] = "Test"
L["NEW"] = "New"
L["LOAD"] = "Load"
L["DELETE"] = "Delete"
L["DELETE_WARNING"] = "Are You Sure You Want To Delete \n This Profile? \n\n "
L["PROFILE"] = "Profile - "
L["PROFILE_NOT_FOUND"] = "Profile Not Found: "
L["PROFILE_LOADED"] = "Profile Loaded: "
L["PROFILE_CREATED"] = "Profile Created: "
L["PROFILE_SAVED"] = "Profile Saved: "
L["PROFILE_DELETED"] = "Profile Deleted: "
L["PROFILE_ALREADY_EXISTS"] = "A Profile With That Name Already Exists"
L["BAD_PROFILE_NAME"] = "Please Enter A Profile Name"
L["DEFAULTS_WARNING"] = "Warning!!! This Will Reset All \nSettings In The Loaded Profile \nBack To The Defaults. \nAre You Sure?"
L["BAR_STYLE"] = "Bar Style"
L["SMALL_BAR_STYLE"] = "Small Bar Style"
L["COOLDOWN_STYLE"] = "Cooldown Style"
L["ENABLE_SOUND_EFFECT"] = "Enable Sound"
L["SOUND_EFFECT_TOOLTIP"] = "If you want to change the sound effect, simply \nreplace the sound file of equal name in the \nsounds folder with the sound effect you prefer.\n(The new sound file must have the same name \nas the old one, and you will need to restart the game)"
L["ENABLE_LOW_MANA_SOUND_EFFECT"] = "Enable Low Mana Sound"
L["ENABLE_WATER_ELEMENTAL_DEATH_SOUND_EFFECT"] = "Enable Water Elemental Death Sound"
L["ENABLE_TIER6_SOUND_EFFECT"] = "Enable Sound Notification For When Your Tier 6 Talent Expires."
L["TIER6_SOUND_EFFECT_TOOLTIP"] = "If you want to change the sound effect, simply \nreplace the sound file of equal name in the \nsounds folder with the sound effect you prefer.\n(The new sound file must have the same name \nas the old one, and you will need to restart the game)\n\nFor Invoker's Energy and Rune Of Power, the sound \nwill replay every 3 seconds while in combat if you are \nmissing Invoker's Energy or have no Rune Of Power \nsummoned."
L["NOTIFICATIONS"] = "Notifications"
L["CAUTERIZE_NOTIFICATION_SHOW"] = "Enable Cauterize Notification"
L["CAUTERIZE_NOTIFICATION_SCALE"] = "Cauterize Notification Scale"
L["LAZY_MAGE_SHOW"] = "Enable Lazy Mage Notifications (Missing Buffs Etc) <- Doesn't Show In Combat"
L["LAZY_MAGE_SCALE"] = "Lazy Mage Scale"
L["LAZY_MAGE_NOT_FULL_CHARGES_SHOW"] = "Show Notification When Mana Gem Is Missing Charges (Out Of Combat Only)"
L["SLOW_FALL_MESSAGE"] = "Slow Fall Message"
L["ICE_WARD_MESSAGE"] = "Ice Ward Message"
L["CAUTERIZE_MESSAGE"] = "Cauterize Message (Yell)"
L["POLYMORPH_MONITOR"] = "Polymorph Monitor"
L["ENABLE_POLYMORPH_MONITOR"] = "Enable Polymorph Monitor"
L["SHOW_POLYMORPH_TIMER"] = "Show Polymorph Timer"
L["POLYMORPH_APPLY_SHOW"] = "Display Notification When Polymorph Is Applied"
L["POLYMORPH_REMOVE_SHOW"] = "Display Notification When Polymorph Is Removed"
L["POLYMORPH_TIMER_SCALE"] = "Polymorph Timer Scale"
L["POLYMORPH_ANNOUNCE_SHOW"] = "Announce Enabled Notifications When In A Group"
L["SPELLSTEAL_MONITOR"] = "Spellsteal Monitor"
L["PLAY_ANIMATION"] = "Play Animation"
L["SPELLSTEAL_MESSAGE_SHOW"] = "Show Spellsteal Message"
L["SPELLSTEAL_MONITOR_BACKGROUND_SHOW"] = "Show Spellsteal Monitor Frame Backgrounds"
L["SPELLSTEAL_MONITOR_HEADER_SHOW"] = "Show Spellsteal Monitor Frame Headers"
L["SPELLSTEAL_MONITOR_FLIP_BUFFS"] = "Start Buffs On Bottom"
L["SPELLSTEAL_MONITOR_ENABLE"] = "Enable Spellsteal Monitor"
L["SPELLSTEAL_NOTIFICATION_SHOW"] = "Show Spellsteal Notification (Animation)"
L["SPELLSTEAL_MONITOR_SHOW_TARGET"] = "Show Target Spellsteal Frame"
L["SPELLSTEAL_MONITOR_SHOW_FOCUS"] = "Show Focus Spellsteal Frame"
L["SPELLSTEAL_MONITOR_SHOW_STOLEN"] = "Show Stolen Spells Frame"
L["SPELLSTEAL_MONITOR_TARGET_SCALE"] = "Target Spellsteal Frame Scale"
L["SPELLSTEAL_MONITOR_FOCUS_SCALE"] = "Focus Spellsteal Frame Scale"
L["SPELLSTEAL_MONITOR_STOLEN_SCALE"] = "Stolen Spells Frame Scale"
L["SPELLSTEAL_MONITOR_NOTIFICATION_SCALE"] = "Spellsteal Notification Scale (Animated Icon)"
L["TIMERS"] = "Timers"
L["ARCANE_CHARGE_TIMER_SHOW"] = "Arcane Charge Timer"
L["ARCANE_CHARGE_TIMER_SCALE"] = "Arcane Charge Timer Scale"
L["ARCANE_MISSILES_TIMER_SHOW"] = "Arcane Missiles Timer"
L["ARCANE_MISSILES_TIMER_SCALE"] = "Arcane Missiles Timer Scale"
L["ARCANE_POWER_TIMER_SHOW"] = "Arcane Power Timer"
L["ARCANE_POWER_TIMER_SCALE"] = "Arcane Power Timer Scale"
L["FINGERS_OF_FROST_TIMER_SHOW"] = "Fingers Of Frost Timer"
L["FINGERS_OF_FROST_TIMER_SCALE"] = "Fingers Of Frost Timer Scale"
L["BRAIN_FREEZE_TIMER_SHOW"] = "Brain Freeze Timer"
L["BRAIN_FREEZE_TIMER_SCALE"] = "Brain Freeze Timer Scale"
L["ICY_VEINS_TIMER_SHOW"] = "Icy Veins Timer"
L["ICY_VEINS_TIMER_SCALE"] = "Icy Veins Timer Scale"
L["FROZEN_ORB_TIMER_SHOW"] = "Frozen Orb Timer"
L["FROZEN_ORB_TIMER_SCALE"] = "Frozen Orb Timer Scale"
L["RING_OF_FROST_TIMER_SHOW"] = "Ring Of Frost Timer"
L["RING_OF_FROST_TIMER_SCALE"] = "Ring Of Frost Timer Scale"
L["PYROBLAST_TIMER_SHOW"] = "Pyroblast Timer"
L["PYROBLAST_TIMER_SCALE"] = "Pyroblast Timer Scale"
L["MIRROR_IMAGE_TIMER_SHOW"] = "Mirror Image Timer"
L["MIRROR_IMAGE_TIMER_SCALE"] = "Mirror Image Timer Scale"
L["INVOKERS_ENERGY_TIMER_SHOW"] = "Invoker's Energy Timer"
L["INCANTERS_ABSORPTION_TIMER_SHOW"] = "Incanter's Absorption Timer"
L["INVOKERS_ENERGY_TIMER_SCALE"] = "Invoker's Energy Scale"
L["INCANTERS_ABSORPTION_TIMER_SCALE"] = "Incanter's Absorption Scale"
L["ALTER_TIME_TIMER_SHOW"] = "Alter Time Timer"
L["ALTER_TIME_TIMER_SCALE"] = "Alter Time Timer Scale"
L["HYPOTHERMIA_TIMER_SHOW"] = "Hypothermia Timer"
L["HYPOTHERMIA_TIMER_SCALE"] = "Hypothermia Timer Scale"
L["CAUTERIZE_TIMER_SHOW"] = "Cauterize Timer"
L["CAUTERIZE_TIMER_SCALE"] = "Cauterize Timer Scale"
L["RUNE_OF_POWER_TIMER_SHOW"] = "Rune Of Power Timer (2 Separate Timers)"
L["RUNE_OF_POWER_TIMER_SCALE"] = "Rune Of Power Timer Scale"

----New Strings---
L[""] = ""

return end

if LOCALE == "deDE" then
	-- German translations go here
	L["Hello!"] = "Hallo!"
return end

if LOCALE == "frFR" then
	-- French translations go here
	L["Hello!"] = "Bonjour!"
return end

if LOCALE == "esES" or LOCALE == "esMX" then
	-- Spanish translations go here
	L["Hello!"] = "¡Hola!"
return end

if LOCALE == "ptBR" then
	-- Brazilian Portuguese translations go here
	L["Hello!"] = "Olá!"
return end

if LOCALE == "ruRU" then
	-- Russian translations go here
	L["Hello!"] = "ÐŸÑ€Ð¸Ð²ÐµÑ‚!"
return end

if LOCALE == "koKR" then
	-- Korean translations go here
	L["Hello!"] = "ì•ˆë…•í•˜ì„¸ìš”!"
return end

if LOCALE == "zhCN" then
	-- Simplified Chinese translations go here
	L["Hello!"] = "æ‚¨å¥½!"
return end

if LOCALE == "zhTW" then
	-- Traditional Chinese translations go here
	L["Hello!"] = "æ‚¨å¥½!"
return end